App\Library\Amazon\Classes\FashionRing:
    xml_root_name: FashionRing
    properties:
        variationData:
            expose: true
            access_type: public_method
            serialized_name: VariationData
            accessor:
                getter: getVariationData
                setter: setVariationData
            type: App\Library\Amazon\Classes\FashionRing\VariationDataAType
        material:
            expose: true
            access_type: public_method
            serialized_name: Material
            accessor:
                getter: getMaterial
                setter: setMaterial
            xml_list:
                inline: true
                entry_name: Material
            type: array<string>
        metalStamp:
            expose: true
            access_type: public_method
            serialized_name: MetalStamp
            accessor:
                getter: getMetalStamp
                setter: setMetalStamp
            type: string
        settingType:
            expose: true
            access_type: public_method
            serialized_name: SettingType
            accessor:
                getter: getSettingType
                setter: setSettingType
            type: string
        diameter:
            expose: true
            access_type: public_method
            serialized_name: Diameter
            accessor:
                getter: getDiameter
                setter: setDiameter
            type: App\Library\Amazon\Classes\LengthDimensionType
        height:
            expose: true
            access_type: public_method
            serialized_name: Height
            accessor:
                getter: getHeight
                setter: setHeight
            type: App\Library\Amazon\Classes\LengthDimensionType
        width:
            expose: true
            access_type: public_method
            serialized_name: Width
            accessor:
                getter: getWidth
                setter: setWidth
            type: App\Library\Amazon\Classes\LengthDimensionType
        length:
            expose: true
            access_type: public_method
            serialized_name: Length
            accessor:
                getter: getLength
                setter: setLength
            type: App\Library\Amazon\Classes\LengthDimensionType
        estatePeriod:
            expose: true
            access_type: public_method
            serialized_name: EstatePeriod
            accessor:
                getter: getEstatePeriod
                setter: setEstatePeriod
            type: string
        numberOfStones:
            expose: true
            access_type: public_method
            serialized_name: NumberOfStones
            accessor:
                getter: getNumberOfStones
                setter: setNumberOfStones
            type: integer
        stone:
            expose: true
            access_type: public_method
            serialized_name: Stone
            accessor:
                getter: getStone
                setter: setStone
            xml_list:
                inline: true
                entry_name: Stone
            type: array<App\Library\Amazon\Classes\StoneType>
        numberOfPearls:
            expose: true
            access_type: public_method
            serialized_name: NumberOfPearls
            accessor:
                getter: getNumberOfPearls
                setter: setNumberOfPearls
            type: integer
        pearl:
            expose: true
            access_type: public_method
            serialized_name: Pearl
            accessor:
                getter: getPearl
                setter: setPearl
            type: App\Library\Amazon\Classes\Pearl
        sellerWarrantyDescription:
            expose: true
            access_type: public_method
            serialized_name: SellerWarrantyDescription
            accessor:
                getter: getSellerWarrantyDescription
                setter: setSellerWarrantyDescription
            type: string
        modelYear:
            expose: true
            access_type: public_method
            serialized_name: ModelYear
            accessor:
                getter: getModelYear
                setter: setModelYear
            type: integer
        season:
            expose: true
            access_type: public_method
            serialized_name: Season
            accessor:
                getter: getSeason
                setter: setSeason
            type: string
        countryOfOrigin:
            expose: true
            access_type: public_method
            serialized_name: CountryOfOrigin
            accessor:
                getter: getCountryOfOrigin
                setter: setCountryOfOrigin
            type: string
        styleKeywords:
            expose: true
            access_type: public_method
            serialized_name: StyleKeywords
            accessor:
                getter: getStyleKeywords
                setter: setStyleKeywords
            xml_list:
                inline: true
                entry_name: StyleKeywords
            type: array<string>
        occasionLifestyle:
            expose: true
            access_type: public_method
            serialized_name: OccasionLifestyle
            accessor:
                getter: getOccasionLifestyle
                setter: setOccasionLifestyle
            xml_list:
                inline: true
                entry_name: OccasionLifestyle
            type: array<string>
        lithiumBatteryEnergyContent:
            expose: true
            access_type: public_method
            serialized_name: LithiumBatteryEnergyContent
            accessor:
                getter: getLithiumBatteryEnergyContent
                setter: setLithiumBatteryEnergyContent
            type: float
        lithiumBatteryPackaging:
            expose: true
            access_type: public_method
            serialized_name: LithiumBatteryPackaging
            accessor:
                getter: getLithiumBatteryPackaging
                setter: setLithiumBatteryPackaging
            type: string
        lithiumBatteryVoltage:
            expose: true
            access_type: public_method
            serialized_name: LithiumBatteryVoltage
            accessor:
                getter: getLithiumBatteryVoltage
                setter: setLithiumBatteryVoltage
            type: float
        lithiumBatteryWeight:
            expose: true
            access_type: public_method
            serialized_name: LithiumBatteryWeight
            accessor:
                getter: getLithiumBatteryWeight
                setter: setLithiumBatteryWeight
            type: float
        numberOfLithiumIonCells:
            expose: true
            access_type: public_method
            serialized_name: NumberOfLithiumIonCells
            accessor:
                getter: getNumberOfLithiumIonCells
                setter: setNumberOfLithiumIonCells
            type: integer
        numberOfLithiumMetalCells:
            expose: true
            access_type: public_method
            serialized_name: NumberOfLithiumMetalCells
            accessor:
                getter: getNumberOfLithiumMetalCells
                setter: setNumberOfLithiumMetalCells
            type: integer
        battery:
            expose: true
            access_type: public_method
            serialized_name: Battery
            accessor:
                getter: getBattery
                setter: setBattery
            type: App\Library\Amazon\Classes\JewelryBatteryType
        backFinding:
            expose: true
            access_type: public_method
            serialized_name: BackFinding
            accessor:
                getter: getBackFinding
                setter: setBackFinding
            type: string
        batteryCellComposition:
            expose: true
            access_type: public_method
            serialized_name: BatteryCellComposition
            accessor:
                getter: getBatteryCellComposition
                setter: setBatteryCellComposition
            type: string
        batteryDescription:
            expose: true
            access_type: public_method
            serialized_name: BatteryDescription
            accessor:
                getter: getBatteryDescription
                setter: setBatteryDescription
            type: string
        certificate:
            expose: true
            access_type: public_method
            serialized_name: Certificate
            accessor:
                getter: getCertificate
                setter: setCertificate
            type: App\Library\Amazon\Classes\CertificateType
        chainType:
            expose: true
            access_type: public_method
            serialized_name: ChainType
            accessor:
                getter: getChainType
                setter: setChainType
            type: string
        claspType:
            expose: true
            access_type: public_method
            serialized_name: ClaspType
            accessor:
                getter: getClaspType
                setter: setClaspType
            type: string
        collectionName:
            expose: true
            access_type: public_method
            serialized_name: CollectionName
            accessor:
                getter: getCollectionName
                setter: setCollectionName
            type: string
        colorMap:
            expose: true
            access_type: public_method
            serialized_name: ColorMap
            accessor:
                getter: getColorMap
                setter: setColorMap
            type: string
        departmentName:
            expose: true
            access_type: public_method
            serialized_name: DepartmentName
            accessor:
                getter: getDepartmentName
                setter: setDepartmentName
            type: string
        reSizable:
            expose: true
            access_type: public_method
            serialized_name: ReSizable
            accessor:
                getter: getReSizable
                setter: setReSizable
            type: boolean
        itemStyling:
            expose: true
            access_type: public_method
            serialized_name: ItemStyling
            accessor:
                getter: getItemStyling
                setter: setItemStyling
            type: string
        occasionType:
            expose: true
            access_type: public_method
            serialized_name: OccasionType
            accessor:
                getter: getOccasionType
                setter: setOccasionType
            type: string
        packageTypeName:
            expose: true
            access_type: public_method
            serialized_name: PackageTypeName
            accessor:
                getter: getPackageTypeName
                setter: setPackageTypeName
            type: string
        patternName:
            expose: true
            access_type: public_method
            serialized_name: PatternName
            accessor:
                getter: getPatternName
                setter: setPatternName
            type: string
        sizingLowerRange:
            expose: true
            access_type: public_method
            serialized_name: SizingLowerRange
            accessor:
                getter: getSizingLowerRange
                setter: setSizingLowerRange
            type: string
        sizingUpperRange:
            expose: true
            access_type: public_method
            serialized_name: SizingUpperRange
            accessor:
                getter: getSizingUpperRange
                setter: setSizingUpperRange
            type: string
        totalDiamondWeight:
            expose: true
            access_type: public_method
            serialized_name: TotalDiamondWeight
            accessor:
                getter: getTotalDiamondWeight
                setter: setTotalDiamondWeight
            type: App\Library\Amazon\Classes\JewelryWeightDimensionType
        totalGemWeight:
            expose: true
            access_type: public_method
            serialized_name: TotalGemWeight
            accessor:
                getter: getTotalGemWeight
                setter: setTotalGemWeight
            type: App\Library\Amazon\Classes\JewelryWeightDimensionType
        totalMetalWeight:
            expose: true
            access_type: public_method
            serialized_name: TotalMetalWeight
            accessor:
                getter: getTotalMetalWeight
                setter: setTotalMetalWeight
            type: App\Library\Amazon\Classes\JewelryWeightDimensionType
